=== debian/changelog ===
qpwgraph (0.9.5-54.1) unstable; urgency=low

  * A mid-summer'25 beta release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Fri, 15 Aug 2025 00:00:00 +0100

qpwgraph (0.9.4-53.1) unstable; urgency=low

  * An early-summer'25 beta release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Sat, 21 Jun 2025 12:00:00 +0100

qpwgraph (0.9.3-52.1) unstable; urgency=low

  * An end-of-spring'25 beta release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Mon,  2 Jun 2025 18:00:00 +0100

qpwgraph (0.9.2-51.1) unstable; urgency=low

  * A mid-spring'25 hot-fix beta release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Sat, 17 May 2025 21:00:00 +0100

qpwgraph (0.9.1-50.1) unstable; urgency=low

  * A mid-spring'25 beta release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Thu, 15 May 2025 16:00:00 +0100

qpwgraph (0.9.0-49.1) unstable; urgency=low

  * A spring'25 beta release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Fri, 25 Apr 2025 15:00:00 +0100
